defmodule Helper do
  # you'd have to import this helper in order to use ok! ...
  def ok!(param) do
    case param do
      {:ok, data} -> data
      _ -> raise "There was an issue with the parameter: #{inspect(param)}"
    end
  end
end

defmodule ElixirHelper do
  def ok!({:ok, data}), do: data
  def ok!({_, data}), do: raise "There was an issue with the parameter: #{inspect(data)}"
end
