defmodule MyList do
  def prime_span(n) do
    for x <- Enum.to_list(2..n), MyList.prime?(x), do: x
  end

  # thank you
  # https://gist.github.com/stevemolloy/64ff06327c5a9f72297a82e061b15460
  def prime?(2), do: true

  def prime?(num) do
    last =
      num
      |> :math.sqrt()
      |> Float.ceil()
      |> trunc

    notprime =
      2..last
      |> Enum.any?(fn a -> rem(num, a) == 0 end)

    !notprime
  end
end
