defmodule Weather.CLI do
  def run(argv) do
    argv
    |> process()
  end

  def process(airport) when is_binary(airport) do
    airport
    |> Weather.Gov.current_observations()
    |> Weather.NiceXMLFormatter.format_observation_nicely()
  end
end
