defmodule StringsAndBinaries6 do
  def capitalize_sentences(sentences) do
    String.split(sentences, ". ")
    |> Enum.map(&StringsAndBinaries6.capitalize_sentence/1)
    |> Enum.join(". ")
  end

  # this is a bit of a cheat :'D
  def capitalize_sentence("") do
  end

  def capitalize_sentence(sentence) do
    first = String.first(sentence)
    replacement = String.upcase(first)

    String.downcase(sentence)
    |> String.replace_leading(first, replacement)
  end

  def capitalize_sentences_lazy(sentences) do
    sentence_sepatator = ". "

    String.split(sentences, sentence_sepatator)
    |> Enum.map(&String.capitalize/1)
    |> Enum.join(sentence_sepatator)
  end
end
